/**
 * Created by 1 at 2022-07-26 11:11:24
 * 注册事件类【数据字典管理】，参看event.defaultEvent.js
*/
window.$swEvent.setup("bpm.sys.base.dict.dict", {
  setup(page){
    const { $params,$refs, $widgets, $model, $utils, $tabRouter, $api,$lifecycle } = page || {};
    const { $$message, $$http } = $utils || {};
    // 数据字典类型表格行点击事件
    const dictTypeRowClick = (row) => {
      // 缓存变量
      $model.temp?.setFormVal("dict_type_id",row.sdct_id);
      // 调用字典加载
      $api.loadOne("dictList");
    };
    // 数据字典新增初始化
    const afterAddDict = () => {
      // 设置字典类型
      $model.dictEdit?.setFormVal("sdc_type", $model.temp?.getFormVal("dict_type_id"));
    };
    // 删除类型之后
    const afterDelDictType = () => {
      $api.loadOne("dictTypeList");
    };
    // 删除字典之后
    const afterDelDict = () => {
      $api.loadOne("dictList");
    };
    return {
      dictTypeRowClick,
      afterAddDict,
      afterDelDictType,
      afterDelDict,
    }
  }
});
